function PS_Minimap_IconFrame_OnClick(button)

  if ( button == "RightButton" ) then
    if not PS_OptionsForm:IsVisible() then
      PS_OptionsForm_InitializeOptions();
      PS_OptionsForm:Show();
    else
      PS_OptionsForm:Hide();
    end
  end
end

local function move_icon()

  PS_Minimap_IconFrame:ClearAllPoints();
  PS_Minimap_IconFrame:SetPoint("CENTER", "UIParent", "CENTER", PSvars.Xicon, PSvars.Yicon)
end

function PS_Minimap_IconFrame_OnEvent(arg1, arg2)

  if (event=="VARIABLES_LOADED") then
    PS_Minimap_RefreshMinimap();
    move_icon();
  end
end

function PS_Minimap_RefreshMinimap()

  if PSvars.MiniIcon == 1 then
    PS_Minimap_IconFrame:Show();
    PS_Minimap_IconFrame2:Hide();
  elseif PSvars.MiniIcon == 0 then
    PS_Minimap_IconFrame:Hide();
  end
end